Subject: Re: ps, test, /dev/null questions
From: [email-masked] (Mikey)

17 Sep 1997 22:02:50 -0700
Message-ID: <[email-masked]>
References: <c=US%a=_%p=COMPAQ%l=[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Khosla, Deepak" <[email-masked]>, [email-masked]

use pview (NT resource kit)
pview95 (Platform SDK sample applications)
wintop (95 only? MS kerneltoys)

cygnus ps only shows procs for cygnus processes. (reasonable I think :).

/dev/null exists only in the mind of the cygwin.dll (and not always there)

try diff -ubB /dev/null file.c (use echo|diff -ubB - file.c or diff -urBbN ../emptydir . )
 
..\\NUL (./NUL) exists in every directory on FAT VFAT or NTFS 
(it's a system device however it's not recognized by cygwin.dll)
(see any good dos book whoops I mean dosshell95/NT, er win32? book :)

try test -w ./DIR/. && echo itshere  (the ending slash messes up stat I think)

On Wed, 17 Sep 1997 13:36:33 -0500, you wrote:

>Hi,
>
>Can anyone answer these for me - I've looked through the docs but no 
>man on ps :-(
>
>1)	ps -ef does not return all the jobs on the system. Is there a way I 
>can look at all the jobs and not just the children of my session?
>2)	test -w Dir returns FALSE even though I can write to the directory 
>DIR
>3)	I have found through some emails that people use nul: as the 
>equivalent of /dev/null (in Unix). Is that accurate and corect? Is 
>that dcumented anywhere?
>
>Regards
>
>Deepak Khosla
>281-514-9234
>[email-masked]
>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".